Subject: Re: bug#43395: closed

From: Madhu <[email-masked]>
Date: Sat, 06 Feb 2021 21:55:39 +0530 (IST)

I think I am facing the problem again presently:

GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.24,
cairo version 1.16.0) of 2021-01-21 (pgtk branch; i think the
corresponding commit on master was 8b33b76eb9fb)

  PID  %MEM    VIRT   SWAP    RES   CODE    DATA    SHR nMaj OOMs nDRT  %CPU COMMAND
 9912  17.8   81.8g      0   1.3g   2916   49.3g  10976  48k  732    0   0.0 emacs

I was able to get a M-x memory-report and M-x memory-usage (88.7 MiB
Overall Object Memory Usage) but I couldn't get a M-x malloc-info as
this was started --daemon.  Unfortunately I botched up and killed the
emacs process when trying to open a file and redirect malloc_info to
it in gdb.  I didn't check gc-cons-threshold gc-cons-percentage but I
did kill all buffers and did a few manual gc-s so i think those were
normal.

Were the paths leading to the code which was fixed understood?  (on
another note perhaps malloc_trim could be introduced into the gc via
an optional path?)